## org.apache.cassandra.config
Class Avro

    java.lang.Object
      org.apache.cassandra.config.Avro

    public class Avro

extends java.lang.Object

methods to load schema definitions from old-style Avro serialization

Constructor Summary
`Avro()`

Method Summary
`static CFMetaData` `cfFromAvro(org.apache.cassandra.db.migration.avro.CfDef cf)` Deprecated.
`static ColumnDefinition` `columnFromAvro(org.apache.cassandra.db.migration.avro.ColumnDef cd)` Deprecated.
`static KSMetaData` `ksFromAvro(org.apache.cassandra.db.migration.avro.KsDef ks)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Avro

    public Avro()

Method Detail

### ksFromAvro

    @Deprecated
    public static KSMetaData ksFromAvro(org.apache.cassandra.db.migration.avro.KsDef ks)

  Deprecated.

### cfFromAvro

    @Deprecated
    public static CFMetaData cfFromAvro(org.apache.cassandra.db.migration.avro.CfDef cf)

  Deprecated.

### columnFromAvro

    @Deprecated
    public static ColumnDefinition columnFromAvro(org.apache.cassandra.db.migration.avro.ColumnDef cd)

  Deprecated.

Copyright © 2013 The Apache Software Foundation